# WOK
TKWOK
WOKOrbix

# WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString Class Reference

`#include <WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString.hxx>`

Inheritance diagram for WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString ()
Standard_EXPORT | WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString (const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString &aMap)
Standard_EXPORT void | Initialize (const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_TCollection_HAsciiString & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString | ( |  | ) |

Standard_EXPORT WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString | ( | const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::Initialize | ( | const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::Key | ( |  | ) | const

void WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString.hxx